## youtube-dl 2018.11.07

=== debian/changelog ===
youtube-dl (2018.11.07-1) unstable; urgency=medium

  * New upstream version 2018.11.07.
    + Highlight: Fix problem extracting videos from YouTube.

 -- Rogério Brito <rbrito@ime.usp.br>  Sun, 11 Nov 2018 00:06:15 -0200

=== debian/control ===
Source: youtube-dl
Maintainer: Rogério Brito <rbrito@ime.usp.br>
Section: web
Priority: optional
Build-Depends:
 bash-completion,
 debhelper (>= 11),
 dh-exec,
 dh-python,
 pandoc,
 python3-pkg-resources,
 python3-setuptools,
 zip
Build-Depends-Indep:
 python3
Rules-Requires-Root: no
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian/youtube-dl
Vcs-Git: https://salsa.debian.org/debian/youtube-dl.git
Homepage: https://rg3.github.com/youtube-dl/

Package: youtube-dl
Architecture: all
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends}
Recommends:
 aria2 | wget | curl,
 ca-certificates,
 ffmpeg | libav-tools,
 mpv | mplayer,
 phantomjs,
 python3-pyxattr,
 rtmpdump
Description: downloader of videos from YouTube and other sites
 youtube-dl is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 youtube-dl allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are:
 .
 1tv,
 1up.com,
 20min,
 220.ro,
 23video,
 24video,
 3qsdn,
 3sat,
 4tube,
 56.com,
 5min,
 6play,
 7plus,
 8tracks,
 91porn,
 9c9media,
 9gag,
 9now.com.au,
 abc.net.au,
 abc.net.au:iview,
 abcnews,
 abcnews:video,
 abcotvs,
 abcotvs:clips,
 AcademicEarth:Course,
 acast,
 acast:channel,
 AddAnime,
 ADN,
 AdobeTV,
 AdobeTVChannel,
 AdobeTVShow,
 AdobeTVVideo,
 AdultSwim,
 aenetworks,
 afreecatv,
 AirMozilla,
 AliExpressLive,
 AlJazeera,
 Allocine,
 AlphaPorno,
 AMCNetworks,
 AmericasTestKitchen,
 anderetijden,
 AnimeOnDemand,
 anitube.se,
 Anvato,
 AnySex,
 APA,
 Aparat,
 AppleConnect,
 AppleDaily,
 appletrailers,
 appletrailers:section,
 archive.org,
 ARD,
 ARD:mediathek,
 ARDBetaMediathek,
 Arkena,
 arte.tv,
 arte.tv:+7,
 arte.tv:cinema,
 arte.tv:concert,
 arte.tv:creative,
 arte.tv:ddc,
 arte.tv:embed,
 arte.tv:future,
 arte.tv:info,
 arte.tv:magazine,
 arte.tv:playlist,
 AsianCrush,
 AsianCrushPlaylist,
 AtresPlayer,
 ATTTechChannel,
 ATVAt,
 AudiMedia,
 AudioBoom,
 audiomack,
 audiomack:album,
 auroravid,
 AWAAN,
 awaan:live,
 awaan:season,
 awaan:video,
 AZMedien,
 AZMedienPlaylist,
 AZMedienShowPlaylist,
 BaiduVideo,
 bambuser,
 bambuser:channel,
 Bandcamp,
 Bandcamp:album,
 Bandcamp:weekly,
 bangumi.bilibili.com,
 bbc,
 bbc.co.uk,
 bbc.co.uk:article,
 bbc.co.uk:iplayer:playlist,
 bbc.co.uk:playlist,
 Beatport,
 Beeg,
 BehindKink,
 Bellator,
 BellMedia,
 Bet,
 Bigflix,
 Bild,
 BiliBili,
 BioBioChileTV,
 BIQLE,
 BitChute,
 BitChuteChannel,
 BleacherReport,
 BleacherReportCMS,
 blinkx,
 Bloomberg,
 BokeCC,
 BostonGlobe,
 Bpb,
 BR,
 BravoTV,
 Break,
 brightcove:legacy,
 brightcove:new,
 BRMediathek,
 bt:article,
 bt:vestlendingen,
 BusinessInsider,
 BuzzFeed,
 BYUtv,
 Camdemy,
 CamdemyFolder,
 CamModels,
 CamTube,
 CamWithHer,
 canalc2.tv,
 Canalplus,
 Canvas,
 CanvasEen,
 CarambaTV,
 CarambaTVPage,
 CartoonNetwork,
 cbc.ca,
 cbc.ca:olympics,
 cbc.ca:player,
 cbc.ca:watch,
 cbc.ca:watch:video,
 CBS,
 CBSInteractive,
 CBSLocal,
 cbsnews,
 cbsnews:livevideo,
 CBSSports,
 CCMA,
 CCTV,
 CDA,
 CeskaTelevize,
 CeskaTelevizePorady,
 channel9,
 CharlieRose,
 Chaturbate,
 Chilloutzone,
 chirbit,
 chirbit:profile,
 Cinchcast,
 CJSW,
 cliphunter,
 Clippit,
 ClipRs,
 Clipsyndicate,
 CloserToTruth,
 CloudflareStream,
 cloudtime,
 Cloudy,
 Clubic,
 Clyp,
 cmt.com,
 CNBC,
 CNN,
 CNNArticle,
 CNNBlogs,
 ComCarCoff,
 ComedyCentral,
 ComedyCentralFullEpisodes,
 ComedyCentralShortname,
 ComedyCentralTV,
 CommonMistakes,
 CondeNast,
 Corus,
 Coub,
 Cracked,
 Crackle,
 Criterion,
 CrooksAndLiars,
 crunchyroll,
 crunchyroll:playlist,
 CSNNE,
 CSpan,
 CtsNews,
 CTVNews,
 Culturebox,
 CultureUnplugged,
 curiositystream,
 curiositystream:collection,
 CWTV,
 DailyMail,
 dailymotion,
 dailymotion:playlist,
 dailymotion:user,
 DaisukiMotto,
 DaisukiMottoPlaylist,
 daum.net,
 daum.net:clip,
 daum.net:playlist,
 daum.net:user,
 DBTV,
 DctpTv,
 DeezerPlaylist,
 defense.gouv.fr,
 democracynow,
 DHM,
 Digg,
 DigitallySpeaking,
 Digiteka,
 Discovery,
 DiscoveryGo,
 DiscoveryGoPlaylist,
 DiscoveryNetworksDe,
 DiscoveryVR,
 Disney,
 Dotsub,
 DouyuShow,
 DouyuTV,
 DPlay,
 DPlayIt,
 dramafever,
 dramafever:series,
 DRBonanza,
 Dropbox,
 DrTuber,
 drtv,
 drtv:live,
 DTube,
 Dumpert,
 dvtv,
 dw,
 dw:article,
 EaglePlatform,
 EbaumsWorld,
 EchoMsk,
 egghead:course,
 egghead:lesson,
 eHow,
 Einthusan,
 eitb.tv,
 EllenTube,
 EllenTubePlaylist,
 EllenTubeVideo,
 ElPais,
 Embedly,
 EMPFlix,
 Engadget,
 Eporner,
 EroProfile,
 Escapist,
 ESPN,
 ESPNArticle,
 EsriVideo,
 Europa,
 EveryonesMixtape,
 ExpoTV,
 Expressen,
 ExtremeTube,
 EyedoTV,
 facebook,
 FacebookPluginsVideo,
 faz.net,
 fc2,
 fc2:embed,
 Fczenit,
 filmon,
 filmon:channel,
 Filmweb,
 FiveThirtyEight,
 FiveTV,
 Flickr,
 Flipagram,
 Folketinget,
 FootyRoom,
 Formula1,
 FOX,
 FOX9,
 Foxgay,
 foxnews,
 foxnews:article,
 FoxSports,
 france2.fr:generation-what,
 FranceCulture,
 FranceInter,
 FranceTV,
 FranceTVEmbed,
 francetvinfo.fr,
 FranceTVJeunesse,
 FranceTVSite,
 Freesound,
 freespeech.org,
 FreshLive,
 FrontendMasters,
 FrontendMastersCourse,
 FrontendMastersLesson,
 Funimation,
 FunkChannel,
 FunkMix,
 FunnyOrDie,
 Fusion,
 Fux,
 FXNetworks,
 GameInformer,
 GameOne,
 gameone:playlist,
 GameSpot,
 GameStar,
 Gaskrank,
 Gazeta,
 GDCVault,
 generic,
 Gfycat,
 GiantBomb,
 Giga,
 Glide,
 Globo,
 GloboArticle,
 Go,
 Go90,
 GodTube,
 Golem,
 GoogleDrive,
 Goshgay,
 GPUTechConf,
 Groupon,
 Hark,
 hbo,
 hbo:episode,
 HearThisAt,
 Heise,
 HellPorno,
 Helsinki,
 HentaiStigma,
 hetklokhuis,
 hgtv.com:show,
 HiDive,
 HistoricFilms,
 history:topic,
 hitbox,
 hitbox:live,
 HitRecord,
 HornBunny,
 HotNewHipHop,
 HotStar,
 hotstar:playlist,
 Howcast,
 HowStuffWorks,
 HRTi,
 HRTiPlaylist,
 Huajiao,
 HuffPost,
 Hypem,
 Iconosquare,
 ign.com,
 imdb,
 imdb:list,
 Imgur,
 ImgurAlbum,
 Ina,
 Inc,
 IndavideoEmbed,
 InfoQ,
 Instagram,
 instagram:user,
 Internazionale,
 InternetVideoArchive,
 IPrima,
 iqiyi,
 Ir90Tv,
 ITTF,
 ITV,
 ITVBTCC,
 ivi,
 ivi:compilation,
 ivideon,
 Iwara,
 Izlesene,
 Jamendo,
 JamendoAlbum,
 JeuxVideo,
 Joj,
 Jove,
 jpopsuki.tv,
 JWPlatform,
 Kakao,
 Kaltura,
 KanalPlay,
 Kankan,
 Karaoketv,
 KarriereVideos,
 keek,
 KeezMovies,
 Ketnet,
 KhanAcademy,
 KickStarter,
 KinoPoisk,
 KonserthusetPlay,
 kontrtube,
 KrasView,
 Ku6,
 KUSI,
 kuwo:album,
 kuwo:category,
 kuwo:chart,
 kuwo:mv,
 kuwo:singer,
 kuwo:song,
 la7.it,
 laola1tv,
 laola1tv:embed,
 LCI,
 Lcp,
 LcpPlay,
 Le,
 Learnr,
 Lecture2Go,
 LEGO,
 Lemonde,
 Lenta,
 LePlaylist,
 LetvCloud,
 Libsyn,
 life,
 life:embed,
 limelight,
 limelight:channel,
 limelight:channel_list,
 LineTV,
 LiTV,
 LiveLeak,
 LiveLeakEmbed,
 livestream,
 livestream:original,
 livestream:shortener,
 LnkGo,
 loc,
 LocalNews8,
 LoveHomePorn,
 lrt.lt,
 lynda,
 lynda:course,
 m6,
 macgamestore,
 mailru,
 mailru:music,
 mailru:music:search,
 MakerTV,
 mangomolo:live,
 mangomolo:video,
 ManyVids,
 Markiza,
 MarkizaPage,
 massengeschmack.tv,
 MatchTV,
 MDR,
 media.ccc.de,
 Medialaan,
 Mediaset,
 Mediasite,
 Medici,
 megaphone.fm,
 Meipai,
 MelonVOD,
 META,
 metacafe,
 Metacritic,
 Mgoon,
 MGTV,
 MiaoPai,
 Minhateca,
 MinistryGrid,
 Minoto,
 miomio.tv,
 MiTele,
 mixcloud,
 mixcloud:playlist,
 mixcloud:stream,
 mixcloud:user,
 Mixer:live,
 Mixer:vod,
 MLB,
 Mms,
 Mnet,
 MoeVideo,
 Mofosex,
 Mojvideo,
 Morningstar,
 Motherless,
 MotherlessGroup,
 Motorsport,
 MovieClips,
 MovieFap,
 Moviezine,
 MovingImage,
 MSN,
 mtg,
 mtv,
 mtv.de,
 mtv81,
 mtv:video,
 mtvservices:embedded,
 MuenchenTV,
 MusicPlayOn,
 mva,
 mva:course,
 Mwave,
 MwaveMeetGreet,
 MyChannels,
 MySpace,
 MySpace:album,
 MySpass,
 Myvi,
 MyVidster,
 MyviEmbed,
 n-tv.de,
 natgeo,
 natgeo:episodeguide,
 natgeo:video,
 Naver,
 NBA,
 NBC,
 NBCNews,
 nbcolympics,
 nbcolympics:stream,
 NBCSports,
 NBCSportsStream,
 NBCSportsVPlayer,
 ndr,
 ndr:embed,
 ndr:embed:base,
 NDTV,
 NerdCubedFeed,
 netease:album,
 netease:djradio,
 netease:mv,
 netease:playlist,
 netease:program,
 netease:singer,
 netease:song,
 Netzkino,
 Newgrounds,
 NewgroundsPlaylist,
 Newstube,
 NextMedia,
 NextMediaActionNews,
 NextTV,
 Nexx,
 NexxEmbed,
 nfb,
 nfl.com,
 NhkVod,
 nhl.com,
 nick.com,
 nick.de,
 nickelodeon:br,
 nickelodeonru,
 nicknight,
 niconico,
 NiconicoPlaylist,
 Nintendo,
 njoy,
 njoy:embed,
 NJPWWorld,
 NobelPrize,
 Noco,
 NonkTube,
 Noovo,
 Normalboots,
 NosVideo,
 Nova,
 NovaEmbed,
 nowness,
 nowness:playlist,
 nowness:series,
 nowvideo,
 Noz,
 npo,
 npo.nl:live,
 npo.nl:radio,
 npo.nl:radio:fragment,
 Npr,
 NRK,
 NRKPlaylist,
 NRKSkole,
 NRKTV,
 NRKTVDirekte,
 NRKTVEpisode,
 NRKTVEpisodes,
 NRKTVSeason,
 NRKTVSeries,
 ntv.ru,
 Nuvid,
 NYTimes,
 NYTimesArticle,
 NZZ,
 ocw.mit.edu,
 OdaTV,
 Odnoklassniki,
 OktoberfestTV,
 on.aol.com,
 OnDemandKorea,
 onet.pl,
 onet.tv,
 onet.tv:channel,
 OnetMVP,
 OnionStudios,
 Ooyala,
 OoyalaExternal,
 Openload,
 OraTV,
 orf:fm4,
 orf:fm4:story,
 orf:iptv,
 orf:oe1,
 orf:tvthek,
 PacktPub,
 PacktPubCourse,
 PandaTV,
 pandora.tv,
 ParamountNetwork,
 parliamentlive.tv,
 Patreon,
 pbs,
 pcmag,
 PearVideo,
 PeerTube,
 People,
 PerformGroup,
 periscope,
 periscope:user,
 PhilharmonieDeParis,
 phoenix.de,
 Photobucket,
 Picarto,
 PicartoVod,
 Piksel,
 Pinkbike,
 Pladform,
 play.fm,
 PlaysTV,
 Playtvak,
 Playvid,
 Playwire,
 pluralsight,
 pluralsight:course,
 plus.google,
 podomatic,
 Pokemon,
 PolskieRadio,
 PolskieRadioCategory,
 PopcornTV,
 PornCom,
 PornerBros,
 PornFlip,
 PornHd,
 PornHub,
 PornHubPlaylist,
 PornHubUserVideos,
 Pornotube,
 PornoVoisines,
 PornoXO,
 PornTube,
 PressTV,
 PrimeShareTV,
 PromptFile,
 prosiebensat1,
 puhutv,
 puhutv:serie,
 Puls4,
 Pyvideo,
 qqmusic,
 qqmusic:album,
 qqmusic:playlist,
 qqmusic:singer,
 qqmusic:toplist,
 Quickline,
 QuicklineLive,
 R7,
 R7Article,
 radio.de,
 radiobremen,
 radiocanada,
 RadioCanadaAudioVideo,
 radiofrance,
 RadioJavan,
 Rai,
 RaiPlay,
 RaiPlayLive,
 RaiPlayPlaylist,
 RayWenderlich,
 RayWenderlichCourse,
 RBMARadio,
 RDS,
 RedBullTV,
 Reddit,
 RedditR,
 RedTube,
 RegioTV,
 RENTV,
 RENTVArticle,
 Restudy,
 Reuters,
 ReverbNation,
 revision,
 revision3:embed,
 RICE,
 RMCDecouverte,
 RockstarGames,
 RoosterTeeth,
 RottenTomatoes,
 Roxwel,
 Rozhlas,
 RTBF,
 rte,
 rte:radio,
 rtl.nl,
 rtl2,
 rtl2:you,
 rtl2:you:series,
 Rtmp,
 RTP,
 RTS,
 rtve.es:alacarta,
 rtve.es:infantil,
 rtve.es:live,
 rtve.es:television,
 RTVNH,
 RTVS,
 Rudo,
 RUHD,
 RulePorn,
 rutube,
 rutube:channel,
 rutube:embed,
 rutube:movie,
 rutube:person,
 rutube:playlist,
 RUTV,
 Ruutu,
 Ruv,
 safari,
 safari:api,
 safari:course,
 Sapo,
 savefrom.net,
 SBS,
 schooltv,
 screen.yahoo:search,
 Screencast,
 ScreencastOMatic,
 scrippsnetworks:watch,
 Seeker,
 SenateISVP,
 SendtoNews,
 ServingSys,
 Servus,
 Sexu,
 SeznamZpravy,
 SeznamZpravyArticle,
 Shahid,
 ShahidShow,
 Shared,
 ShowRoomLive,
 Sina,
 SkylineWebcams,
 skynewsarabia:article,
 skynewsarabia:video,
 SkySports,
 Slideshare,
 SlidesLive,
 Slutload,
 smotri,
 smotri:broadcast,
 smotri:community,
 smotri:user,
 Snotr,
 Sohu,
 SonyLIV,
 soundcloud,
 soundcloud:playlist,
 soundcloud:search,
 soundcloud:set,
 soundcloud:trackstation,
 soundcloud:user,
 soundgasm,
 soundgasm:profile,
 southpark.cc.com,
 southpark.cc.com:español,
 southpark.de,
 southpark.nl,
 southparkstudios.dk,
 SpankBang,
 Spankwire,
 Spiegel,
 Spiegel:Article,
 Spiegeltv,
 sport.francetvinfo.fr,
 Sport5,
 SportBoxEmbed,
 SportDeutschland,
 SpringboardPlatform,
 Sprout,
 sr:mediathek,
 SRGSSR,
 SRGSSRPlay,
 stanfordoc,
 Steam,
 Stitcher,
 Streamable,
 Streamango,
 streamcloud.eu,
 StreamCZ,
 StreetVoice,
 StretchInternet,
 SunPorno,
 SVT,
 SVTPage,
 SVTPlay,
 SVTSeries,
 SWRMediathek,
 Syfy,
 SztvHu,
 t-online.de,
 Tagesschau,
 tagesschau:player,
 Tass,
 TastyTrade,
 TBS,
 TDSLifeway,
 teachertube,
 teachertube:user:collection,
 TeachingChannel,
 Teamcoco,
 TechTalks,

## youtube-dl 2018.12.09

=== debian/changelog ===
youtube-dl (2018.12.09-0.1~mx17+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 12 Dec 2018 11:37:08 -0800

youtube-dl (2018.11.07-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Drop debhelper compat to 9 to ease backporting.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 13 Nov 2018 15:08:14 -0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: youtube-dl
-Maintainer: Rogério Brito <rbrito@ime.usp.br>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Rogério Brito <rbrito@ime.usp.br>
 Section: web
 Priority: optional
 Build-Depends:
  bash-completion,
- debhelper (>= 11),
+ debhelper (>= 9),
  dh-exec,
  dh-python,
  pandoc,
@@ -890,7 +891,3 @@
  TBS,
  TDSLifeway,
  teachertube,
- teachertube:user:collection,
- TeachingChannel,
- Teamcoco,
- TechTalks,

## youtube-dl 2019.01.16

=== debian/changelog ===
youtube-dl (2019.01.16-1) unstable; urgency=medium

  * New upstream version 2019.01.16. Fixes downloads from YouTube.
  * debian/patches: Remove patch to disambiguate between ffmpeg and avconv.
  * debian/{compat,control}: Update to debhelper compatibility level 12.
  * debian/control: Mark package compliant with Policy 4.3.0 (no changes).

 -- Rogério Brito <rbrito@ime.usp.br>  Wed, 16 Jan 2019 20:20:25 -0200

## youtube-dl 2019.01.17

=== Makefile ===
all: youtube-dl README.md CONTRIBUTING.md README.txt youtube-dl.1 youtube-dl.bash-completion youtube-dl.zsh youtube-dl.fish supportedsites

clean:
	rm -rf youtube-dl.1.temp.md youtube-dl.1 youtube-dl.bash-completion README.txt MANIFEST build/ dist/ .coverage cover/ youtube-dl.tar.gz youtube-dl.zsh youtube-dl.fish youtube_dl/extractor/lazy_extractors.py *.dump *.part* *.ytdl *.info.json *.mp4 *.m4a *.flv *.mp3 *.avi *.mkv *.webm *.3gp *.wav *.ape *.swf *.jpg *.png CONTRIBUTING.md.tmp ISSUE_TEMPLATE.md.tmp youtube-dl youtube-dl.exe
	find . -name "*.pyc" -delete
	find . -name "*.class" -delete

PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/man
SHAREDIR ?= $(PREFIX)/share
PYTHON ?= /usr/bin/env python

# set SYSCONFDIR to /etc if PREFIX=/usr or PREFIX=/usr/local
SYSCONFDIR = $(shell if [ $(PREFIX) = /usr -o $(PREFIX) = /usr/local ]; then echo /etc; else echo $(PREFIX)/etc; fi)

# set markdown input format to "markdown-smart" for pandoc version 2 and to "markdown" for pandoc prior to version 2
MARKDOWN = $(shell if [ `pandoc -v | head -n1 | cut -d" " -f2 | head -c1` = "2" ]; then echo markdown-smart; else echo markdown; fi)

install: youtube-dl youtube-dl.1 youtube-dl.bash-completion youtube-dl.zsh youtube-dl.fish
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 youtube-dl $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(MANDIR)/man1
	install -m 644 youtube-dl.1 $(DESTDIR)$(MANDIR)/man1
	install -d $(DESTDIR)$(SYSCONFDIR)/bash_completion.d
	install -m 644 youtube-dl.bash-completion $(DESTDIR)$(SYSCONFDIR)/bash_completion.d/youtube-dl
	install -d $(DESTDIR)$(SHAREDIR)/zsh/site-functions
	install -m 644 youtube-dl.zsh $(DESTDIR)$(SHAREDIR)/zsh/site-functions/_youtube-dl
	install -d $(DESTDIR)$(SYSCONFDIR)/fish/completions
	install -m 644 youtube-dl.fish $(DESTDIR)$(SYSCONFDIR)/fish/completions/youtube-dl.fish

codetest:
	flake8 .

test:
	#nosetests --with-coverage --cover-package=youtube_dl --cover-html --verbose --processes 4 test
	nosetests --verbose test
	$(MAKE) codetest

ot: offlinetest

# Keep this list in sync with devscripts/run_tests.sh
offlinetest: codetest
	$(PYTHON) -m nose --verbose test \
		--exclude test_age_restriction.py \
		--exclude test_download.py \
		--exclude test_iqiyi_sdk_interpreter.py \
		--exclude test_socks.py \
		--exclude test_subtitles.py \
		--exclude test_write_annotations.py \
		--exclude test_youtube_lists.py \
		--exclude test_youtube_signature.py

tar: youtube-dl.tar.gz

.PHONY: all clean install test tar bash-completion pypi-files zsh-completion fish-completion ot offlinetest codetest supportedsites

pypi-files: youtube-dl.bash-completion README.txt youtube-dl.1 youtube-dl.fish

youtube-dl: youtube_dl/*.py youtube_dl/*/*.py
	mkdir -p zip
	for d in youtube_dl youtube_dl/downloader youtube_dl/extractor youtube_dl/postprocessor ; do \
	  mkdir -p zip/$$d ;\
	  cp -pPR $$d/*.py zip/$$d/ ;\
	done
	touch -t 200001010101 zip/youtube_dl/*.py zip/youtube_dl/*/*.py
	mv zip/youtube_dl/__main__.py zip/
	cd zip ; zip -q ../youtube-dl youtube_dl/*.py youtube_dl/*/*.py __main__.py
	rm -rf zip
	echo '#!$(PYTHON)' > youtube-dl
	cat youtube-dl.zip >> youtube-dl
	rm youtube-dl.zip
	chmod a+x youtube-dl

README.md: youtube_dl/*.py youtube_dl/*/*.py
	COLUMNS=80 $(PYTHON) youtube_dl/__main__.py --help | $(PYTHON) devscripts/make_readme.py

CONTRIBUTING.md: README.md
	$(PYTHON) devscripts/make_contributing.py README.md CONTRIBUTING.md

.github/ISSUE_TEMPLATE.md: devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl.md  youtube_dl/version.py
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl.md .github/ISSUE_TEMPLATE.md

supportedsites:
	$(PYTHON) devscripts/make_supportedsites.py docs/supportedsites.md

README.txt: README.md
	pandoc -f $(MARKDOWN) -t plain README.md -o README.txt

youtube-dl.1: README.md
	$(PYTHON) devscripts/prepare_manpage.py youtube-dl.1.temp.md
	pandoc -s -f $(MARKDOWN) -t man youtube-dl.1.temp.md -o youtube-dl.1
	rm -f youtube-dl.1.temp.md

youtube-dl.bash-completion: youtube_dl/*.py youtube_dl/*/*.py devscripts/bash-completion.in
	$(PYTHON) devscripts/bash-completion.py

bash-completion: youtube-dl.bash-completion

youtube-dl.zsh: youtube_dl/*.py youtube_dl/*/*.py devscripts/zsh-completion.in
	$(PYTHON) devscripts/zsh-completion.py

zsh-completion: youtube-dl.zsh

youtube-dl.fish: youtube_dl/*.py youtube_dl/*/*.py devscripts/fish-completion.in
	$(PYTHON) devscripts/fish-completion.py

fish-completion: youtube-dl.fish

lazy-extractors: youtube_dl/extractor/lazy_extractors.py

_EXTRACTOR_FILES = $(shell find youtube_dl/extractor -iname '*.py' -and -not -iname 'lazy_extractors.py')
youtube_dl/extractor/lazy_extractors.py: devscripts/make_lazy_extractors.py devscripts/lazy_load_template.py $(_EXTRACTOR_FILES)
	$(PYTHON) devscripts/make_lazy_extractors.py $@

youtube-dl.tar.gz: youtube-dl README.md README.txt youtube-dl.1 youtube-dl.bash-completion youtube-dl.zsh youtube-dl.fish ChangeLog AUTHORS
	@tar -czf youtube-dl.tar.gz --transform "s|^|youtube-dl/|" --owner 0 --group 0 \
		--exclude '*.DS_Store' \
		--exclude '*.kate-swp' \
		--exclude '*.pyc' \
		--exclude '*.pyo' \
		--exclude '*~' \
		--exclude '__pycache__' \
		--exclude '.git' \
		--exclude 'docs/_build' \
		-- \
		bin devscripts test youtube_dl docs \
		ChangeLog AUTHORS LICENSE README.md README.txt \
		Makefile MANIFEST.in youtube-dl.1 youtube-dl.bash-completion \
		youtube-dl.zsh youtube-dl.fish setup.py setup.cfg \
		youtube-dl

=== debian/changelog ===
youtube-dl (2019.01.17-1.1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Add myself to uploaders. 

 -- Holger Levsen <holger@debian.org>  Thu, 02 May 2019 12:45:26 +0200

youtube-dl (2019.01.17-1.1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Fix extraction from youtube. (Closes: #927862)

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 27 Apr 2019 17:03:56 -0400

youtube-dl (2019.01.17-1) unstable; urgency=medium

  * New upstream version 2019.01.17.
    Highlight:
     + Fixes downloads from YouTube. Closes: #919867
     + Note: May still have some pending issues with YouTube, but a new
       package will be uploaded as soon as upstream has it ready. OTOH, all
       the videos with which I have verified with this version of the package
       work.

 -- Rogério Brito <rbrito@ime.usp.br>  Mon, 21 Jan 2019 12:13:04 -0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: youtube-dl
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Rogério Brito <rbrito@ime.usp.br>
+Maintainer: Rogério Brito <rbrito@ime.usp.br>
+Uploaders: Holger Levsen <holger@debian.org>
 Section: web
 Priority: optional
 Build-Depends:
  bash-completion,
- debhelper (>= 9),
+ debhelper-compat (= 12),
  dh-exec,
  dh-python,
  pandoc,
@@ -15,7 +15,7 @@
 Build-Depends-Indep:
  python3
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian/youtube-dl
 Vcs-Git: https://salsa.debian.org/debian/youtube-dl.git
 Homepage: https://rg3.github.com/youtube-dl/

## youtube-dl 2019.01.19

=== debian/changelog ===
youtube-dl (2019.01.19-1) unstable; urgency=medium

  * antiX build

 -- anticapitalista <antix@operamail.com>  Sat, 19 Jan 2019 00:16:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: youtube-dl
 Maintainer: Rogério Brito <rbrito@ime.usp.br>
-Uploaders: Holger Levsen <holger@debian.org>
 Section: web
 Priority: optional
 Build-Depends:
  bash-completion,
- debhelper-compat (= 12),
+ debhelper (>= 9),
  dh-exec,
  dh-python,
  pandoc,
@@ -891,3 +890,7 @@
  TBS,
  TDSLifeway,
  teachertube,
+ teachertube:user:collection,
+ TeachingChannel,
+ Teamcoco,
+ TechTalks,

## youtube-dl 2019.02.08

=== debian/changelog ===
youtube-dl (2019.02.08-0.1~mx17+1) mx; urgency=medium

  * New upstream release; build for MX 17.
  * Drop debhelper compat to 9.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 16 Feb 2019 12:02:02 -0800

youtube-dl (2019.01.17-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Add myself to uploaders.

 -- Holger Levsen <holger@debian.org>  Sun, 27 Jan 2019 15:23:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: youtube-dl
-Maintainer: Rogério Brito <rbrito@ime.usp.br>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Rogério Brito <rbrito@ime.usp.br>
+Uploaders: Holger Levsen <holger@debian.org>
 Section: web
 Priority: optional
 Build-Depends:
  bash-completion,
- debhelper (>= 9),
+ debhelper (>= 9.2~),
  dh-exec,
  dh-python,
  pandoc,
@@ -887,10 +889,3 @@
  tagesschau:player,
  Tass,
  TastyTrade,
- TBS,
- TDSLifeway,
- teachertube,
- teachertube:user:collection,
- TeachingChannel,
- Teamcoco,
- TechTalks,

## youtube-dl 2019.05.11

=== debian/changelog ===
youtube-dl (2019.05.11-1) unstable; urgency=medium

  * New upstream version.

 -- Wessel Dankers <wsl@fruit.je>  Sat, 11 May 2019 17:35:20 +0200

## youtube-dl 2019.06.08

=== debian/changelog ===
youtube-dl (2019.06.08-0.1~mx17+1) mx; urgency=medium

  * New upstream release; drop epoch for MX 17 version.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Jun 2019 21:08:59 -0700

youtube-dl (1:2019.04.24-0.1~mx15+2) mx; urgency=medium

  * Add epoch to match earlier versions.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 04 May 2019 10:19:21 -0700

youtube-dl (2019.04.24-0.1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.
  * Drop dmo branding.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 03 May 2019 13:50:20 -0700

youtube-dl-dmo (2019.04.24-antix1) unstable; urgency=medium

  * antiX build 

 -- anticapitalista <antix@operamail.com>  Mon, 29 Apr 2019 13:25:05 +0300

youtube-dl-dmo (2019.04.24-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Apr 2019 08:14:04 +0200

youtube-dl-dmo (2019.04.17-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 17 Apr 2019 08:40:32 +0200

youtube-dl-dmo (2019.04.07-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Apr 2019 09:12:27 +0200

youtube-dl-dmo (2019.04.01-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 02 Apr 2019 08:15:57 +0200

youtube-dl-dmo (2019.03.18-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Mar 2019 08:13:55 +0100

youtube-dl-dmo (2019.03.09-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 09 Mar 2019 08:39:10 +0100

youtube-dl-dmo (2019.03.01-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Mar 2019 08:26:19 +0100

youtube-dl-dmo (2019.02.18-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Feb 2019 08:53:52 +0100

youtube-dl-dmo (2019.02.08-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Feb 2019 08:13:07 +0100

youtube-dl-dmo (2019.01.30.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 30 Jan 2019 13:35:32 +0100

youtube-dl-dmo (2019.01.27-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 28 Jan 2019 09:44:21 +0100

youtube-dl-dmo (2019.01.24-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 24 Jan 2019 08:36:26 +0100

youtube-dl-dmo (2019.01.23-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Jan 2019 13:55:55 +0100

youtube-dl-dmo (2019.01.17-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 17 Jan 2019 08:01:40 +0100

youtube-dl-dmo (2019.01.16-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 16 Jan 2019 08:39:48 +0100

youtube-dl-dmo (2019.01.10-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 10 Jan 2019 18:18:47 +0100

youtube-dl-dmo (2019.01.02-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 03 Jan 2019 16:06:08 +0100

youtube-dl-dmo (2018.12.31-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 31 Dec 2018 18:10:11 +0100

youtube-dl-dmo (2018.12.17-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 17 Dec 2018 08:40:08 +0100

youtube-dl-dmo (2018.12.09-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Dec 2018 08:47:07 +0100

youtube-dl-dmo (2018.12.03-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 03 Dec 2018 13:30:48 +0100

youtube-dl-dmo (2018.11.23-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 23 Nov 2018 13:27:20 +0100

youtube-dl-dmo (2018.11.18-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Nov 2018 09:20:11 +0100

youtube-dl-dmo (2018.11.07-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 07 Nov 2018 08:26:28 +0100

youtube-dl-dmo (2018.11.03-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Nov 2018 08:45:13 +0100

youtube-dl-dmo (2018.10.29-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 29 Oct 2018 08:49:53 +0100

youtube-dl-dmo (2018.10.05-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 05 Oct 2018 08:38:48 +0200

youtube-dl-dmo (2018.09.26-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 26 Sep 2018 09:15:28 +0200

youtube-dl-dmo (2018.09.18-dmo2) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 26 Sep 2018 09:13:01 +0200

youtube-dl-dmo (2018.09.18-dmo1) unstable; urgency=medium



## youtube-dl 2019.06.21

=== debian/changelog ===
youtube-dl (2019.06.21-0.1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 23 Jun 2019 12:12:22 -0700

youtube-dl (1:2019.06.08-0.1~mx15+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Jun 2019 21:08:59 -0700

=== debian/control ===
Source: youtube-dl
Section: web
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://rg3.github.com/youtube-dl/
Rules-Requires-Root: no
Standards-Version: 4.3.0
Build-Depends-Indep: python3
Build-Depends: debhelper, bash-completion, dh-exec, dh-python, pandoc,
 zip, quilt

Package: youtube-dl
Architecture: all
Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
Recommends: aria2 | wget | curl, ca-certificates,
            ffmpeg, mpv | mplayer, rtmpdump, phantomjs, python3-pyxattr
Description: downloader of videos from YouTube and other sites
 youtube-dl is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the videos
 served.
 .
 youtube-dl allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab.  It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are:
 .
 1tv,
 1up.com,
 20min,
 220.ro,
 22tracks:genre,
 22tracks:track,
 24video,
 3qsdn,
 3sat,
 4tube,
 56.com,
 5min,
 8tracks,
 91porn,
 9c9media,
 9c9media:stack,
 9gag,
 9now.com.au,
 abc.net.au,
 abc.net.au:iview,
 abcnews,
 abcnews:video,
 abcotvs,
 abcotvs:clips,
 AcademicEarth:Course,
 acast,
 acast:channel,
 AddAnime,
 AdobeTV,
 AdobeTVChannel,
 AdobeTVShow,
 AdobeTVVideo,
 AdultSwim,
 aenetworks,
 afreecatv,
 afreecatv:global,
 AirMozilla,
 AlJazeera,
 Allocine,
 AlphaPorno,
 AMCNetworks,
 anderetijden,
 AnimeOnDemand,
 anitube.se,
 AnySex,
 Aparat,
 AppleConnect,
 AppleDaily,
 appletrailers,
 appletrailers:section,
 archive.org,
 ARD,
 ARD:mediathek,
 Arkena,
 arte.tv,
 arte.tv:+7,
 arte.tv:cinema,
 arte.tv:concert,
 arte.tv:creative,
 arte.tv:ddc,
 arte.tv:embed,
 arte.tv:future,
 arte.tv:info,
 arte.tv:magazine,
 arte.tv:playlist,
 AtresPlayer,
 ATTTechChannel,
 AudiMedia,
 AudioBoom,
 audiomack,
 audiomack:album,
 auroravid,
 AWAAN,
 awaan:live,
 awaan:season,
 awaan:video,
 AZMedien,
 AZMedienPlaylist,
 Azubu,
 AzubuLive,
 BaiduVideo,
 bambuser,
 bambuser:channel,
 Bandcamp,
 Bandcamp:album,
 bangumi.bilibili.com,
 bbc,
 bbc.co.uk,
 bbc.co.uk:article,
 bbc.co.uk:iplayer:playlist,
 bbc.co.uk:playlist,
 Beam:live,
 Beatport,
 Beeg,
 BehindKink,
 BellMedia,
 Bet,
 Bigflix,
 Bild,
 BiliBili,
 BioBioChileTV,
 BIQLE,
 BleacherReport,
 BleacherReportCMS,
 blinkx,
 Bloomberg,
 BokeCC,
 Bpb,
 BR,
 BravoTV,
 Break,
 brightcove:legacy,
 brightcove:new,
 bt:article,
 bt:vestlendingen,
 BuzzFeed,
 BYUtv,
 BYUtvEvent,
 Camdemy,
 CamdemyFolder,
 CamWithHer,
 canalc2.tv,
 Canalplus,
 Canvas,
 CarambaTV,
 CarambaTVPage,
 CartoonNetwork,
 cbc.ca,
 cbc.ca:player,
 cbc.ca:watch,
 cbc.ca:watch:video,
 CBS,
 CBSInteractive,
 CBSLocal,
 cbsnews,
 cbsnews:livevideo,
 CBSSports,
 CCMA,
 CCTV,
 CDA,
 CeskaTelevize,
 channel9,
 CharlieRose,
 Chaturbate,
 Chilloutzone,
 chirbit,
 chirbit:profile,
 Cinchcast,
 Clipfish,
 cliphunter,
 ClipRs,
 Clipsyndicate,
 CloserToTruth,
 cloudtime,
 Cloudy,
 Clubic,
 Clyp,
 cmt.com,
 CNBC,
 CNN,
 CNNArticle,
 CNNBlogs,
 CollegeRama,
 ComCarCoff,
 ComedyCentral,
 ComedyCentralFullEpisodes,
 ComedyCentralShortname,
 ComedyCentralTV,
 CommonMistakes,
 CondeNast,
 Coub,
 Cracked,
 Crackle,
 Criterion,
 CrooksAndLiars,
 Crunchyroll,
 crunchyroll:playlist,
 CSNNE,
 CSpan,
 CtsNews,
 CTVNews,
 culturebox.francetvinfo.fr,
 CultureUnplugged,
 curiositystream,
 curiositystream:collection,
 CWTV,
 DailyMail,
 dailymotion,
 dailymotion:playlist,
 dailymotion:user,
 DailymotionCloud,
 daum.net,
 daum.net:clip,
 daum.net:playlist,
 daum.net:user,
 DBTV,
 DctpTv,
 DeezerPlaylist,
 defense.gouv.fr,
 democracynow,
 DHM,
 DigitallySpeaking,
 Digiteka,
 Discovery,
 DiscoveryGo,
 Disney,
 Dotsub,
 DouyuTV,
 DPlay,
 dramafever,
 dramafever:series,
 DRBonanza,
 Dropbox,
 DrTuber,
 drtv,
 drtv:live,
 Dumpert,
 dvtv,
 dw,
 dw:article,
 EaglePlatform,
 EbaumsWorld,
 EchoMsk,
 egghead:course,
 eHow,
 Einthusan,
 eitb.tv,
 EllenTV,
 EllenTV:clips,
 ElPais,
 Embedly,
 EMPFlix,
 Engadget,
 Eporner,
 EroProfile,
 Escapist,
 ESPN,
 ESPNArticle,
 EsriVideo,
 Europa,
 EveryonesMixtape,
 ExpoTV,
 ExtremeTube,
 EyedoTV,
 facebook,
 FacebookPluginsVideo,
 faz.net,
 fc2,
 fc2:embed,
 Fczenit,
 fernsehkritik.tv,
 filmon,
 filmon:channel,
 Firstpost,
 FiveTV,
 Flickr,
 Flipagram,
 Folketinget,
 FootyRoom,
 Formula1,
 FOX,
 FOX9,
 Foxgay,
 foxnews,
 foxnews:article,
 foxnews:insider,
 FoxSports,
 france2.fr:generation-quoi,
 FranceCulture,
 FranceInter,
 francetv,
 francetvinfo.fr,
 Freesound,
 freespeech.org,
 Funimation,
 FunnyOrDie,
 Fusion,
 FXNetworks,
 GameInformer,
 GameOne,
 gameone:playlist,
 Gamersyde,
 GameSpot,
 GameStar,
 Gaskrank,
 Gazeta,
 GDCVault,
 generic,
 Gfycat,
 GiantBomb,
 Giga,
 Glide,
 Globo,
 GloboArticle,
 Go,
 GodTube,
 GodTV,
 Golem,
 GoogleDrive,
 Goshgay,
 GPUTechConf,
 Groupon,
 Hark,
 HBO,
 HBOEpisode,
 HearThisAt,
 Heise,
 HellPorno,
 Helsinki,
 HentaiStigma,
 HGTV,
 hgtv.com:show,
 HistoricFilms,
 history:topic,
 hitbox,
 hitbox:live,
 HitRecord,
 HornBunny,
 HotNewHipHop,
 HotStar,
 Howcast,
 HowStuffWorks,
 HRTi,
 HRTiPlaylist,
 Huajiao,
 HuffPost,
 Hypem,
 Iconosquare,
 ign.com,
 imdb,
 imdb:list,
 Imgur,
 ImgurAlbum,
 Ina,
 Inc,
 Indavideo,
 IndavideoEmbed,
 InfoQ,
 Instagram,
 instagram:user,
 InternetVideoArchive,
 IPrima,
 iqiyi,
 Ir90Tv,
 ITV,
 ivi,
 ivi:compilation,
 ivideon,
 Iwara,
 Izlesene,
 Jamendo,
 JamendoAlbum,
 JeuxVideo,
 Jove,
 jpopsuki.tv,
 JWPlatform,
 Kaltura,
 Kamcord,
 KanalPlay,
 Kankan,
 Karaoketv,
 KarriereVideos,
 keek,
 KeezMovies,
 Ketnet,
 KhanAcademy,
 KickStarter,
 KonserthusetPlay,
 kontrtube,
 KrasView,
 Ku6,
 KUSI,
 kuwo:album,
 kuwo:category,
 kuwo:chart,
 kuwo:mv,
 kuwo:singer,
 kuwo:song,
 la7.it,
 laola1tv,
 laola1tv:embed,
 LCI,
 Lcp,
 LcpPlay,
 Le,
 Learnr,
 Lecture2Go,
 LEGO,
 Lemonde,
 LePlaylist,
 LetvCloud,
 Libsyn,
 life,
 life:embed,
 limelight,
 limelight:channel,
 limelight:channel_list,
 LiTV,
 LiveLeak,
 livestream,
 livestream:original,
 livestream:shortener,
 LnkGo,
 loc,
 LocalNews8,
 LoveHomePorn,
 lrt.lt,
 lynda,
 lynda:course,
 m6,
 macgamestore,
 mailru,
 MakersChannel,
 MakerTV,
 mangomolo:live,
 mangomolo:video,
 MatchTV,
 MDR,
 media.ccc.de,
 Meipai,
 MelonVOD,
 META,
 metacafe,
 Metacritic,
 Mgoon,
 MGTV,
 MiaoPai,
 Minhateca,
 MinistryGrid,
 Minoto,
 miomio.tv,
 MiTele,
 mixcloud,
 mixcloud:playlist,
 mixcloud:stream,
 mixcloud:user,
 MLB,
 Mms,
 Mnet,
 MoeVideo,
 Mofosex,
 Mojvideo,
 Moniker,
 Morningstar,
 Motherless,
 Motorsport,
 MovieClips,
 MovieFap,
 Moviezine,
 MovingImage,
 MPORA,
 MSN,
 mtg,
 mtv,
 mtv.de,
 mtv81,
 mtv:video,
 mtvservices:embedded,
 MuenchenTV,
 MusicPlayOn,
 mva,
 mva:course,
 Mwave,
 MwaveMeetGreet,
 MySpace,
 MySpace:album,
 MySpass,
 Myvi,
 myvideo (CURRENTLY BROKEN),
 MyVidster,
 n-tv.de,
 natgeo,
 natgeo:episodeguide,
 natgeo:video,
 Naver,
 NBA,
 NBC,
 NBCNews,
 NBCOlympics,
 NBCSports,
 NBCSportsVPlayer,
 ndr,
 ndr:embed,
 ndr:embed:base,
 NDTV,
 NerdCubedFeed,
 netease:album,
 netease:djradio,
 netease:mv,
 netease:playlist,
 netease:program,
 netease:singer,
 netease:song,
 Netzkino,
 Newgrounds,
 Newstube,
 NextMedia,
 NextMediaActionNews,
 NextTV,
 nfb,
 nfl.com,
 NhkVod,
 nhl.com,
 nhl.com:news,
 nhl.com:videocenter,
 nhl.com:videocenter:category,
 nick.com,
 nick.de,
 nicknight,
 niconico,
 NiconicoPlaylist,
 Nintendo,
 njoy,
 njoy:embed,
 NobelPrize,
 Noco,
 Normalboots,
 NosVideo,
 Nova,
 nowness,
 nowness:playlist,
 nowness:series,
 NowTV (CURRENTLY BROKEN),
 NowTVList,
 nowvideo,
 Noz,
 npo,
 npo.nl:live,
 npo.nl:radio,
 npo.nl:radio:fragment,
 Npr,
 NRK,
 NRKPlaylist,
 NRKSkole,
 NRKTV,
 NRKTVDirekte,
 NRKTVEpisodes,
 NRKTVSeries,
 ntv.ru,
 Nuvid,
 NYTimes,
 NYTimesArticle,
 NZZ,
 ocw.mit.edu,
 OdaTV,
 Odnoklassniki,
 OktoberfestTV,
 on.aol.com,
 OnDemandKorea,
 onet.tv,
 onet.tv:channel,
 OnionStudios,
 Ooyala,
 OoyalaExternal,
 Openload,
 OraTV,
 orf:fm4,
 orf:iptv,
 orf:oe1,
 orf:tvthek,
 PandaTV,
 pandora.tv,
 parliamentlive.tv,
 Patreon,
 pbs,
 pcmag,
 People,
 periscope,
 periscope:user,
 PhilharmonieDeParis,
 phoenix.de,
 Photobucket,
 Piksel,
 Pinkbike,
 Pladform,
 play.fm,
 PlaysTV,
 Playtvak,
 Playvid,
 Playwire,
 pluralsight,
 pluralsight:course,
 plus.google,
 pluzz.francetv.fr,
 podomatic,
 Pokemon,
 PolskieRadio,
 PolskieRadioCategory,
 PornCom,
 PornFlip,
 PornHd,
 PornHub,
 PornHubPlaylist,
 PornHubUserVideos,
 Pornotube,
 PornoVoisines,
 PornoXO,
 PressTV,
 PrimeShareTV,
 PromptFile,
 prosiebensat1,
 Puls4,
 Pyvideo,
 qqmusic,
 qqmusic:album,
 qqmusic:playlist,
 qqmusic:singer,
 qqmusic:toplist,
 R7,
 R7Article,
 radio.de,
 radiobremen,
 radiocanada,
 RadioCanadaAudioVideo,
 radiofrance,
 RadioJavan,
 Rai,
 RaiTV,
 RBMARadio,
 RDS,
 RedTube,
 RegioTV,
 RENTV,
 RENTVArticle,
 Restudy,
 Reuters,
 ReverbNation,
 revision,
 revision3:embed,
 RICE,
 RingTV,
 RMCDecouverte,
 RockstarGames,
 RoosterTeeth,
 RottenTomatoes,
 Roxwel,
 Rozhlas,
 RTBF,
 rte,
 rte:radio,
 rtl.nl,
 RTL2,
 Rtmp,
 RTP,
 RTS,
 rtve.es:alacarta,
 rtve.es:infantil,
 rtve.es:live,
 rtve.es:television,
 RTVNH,
 Rudo,
 RUHD,
 RulePorn,
 rutube,
 rutube:channel,
 rutube:embed,
 rutube:movie,
 rutube:person,
 RUTV,
 Ruutu,
 safari,
 safari:api,
 safari:course,
 Sandia,
 Sapo,
 savefrom.net,
 SBS,
 schooltv,
 SciVee,
 screen.yahoo:search,
 Screencast,
 ScreencastOMatic,
 Seeker,
 SenateISVP,
 SendtoNews,
 ServingSys,
 Sexu,
 Shahid,
 Shared,
 ShowRoomLive,
 Sina,
 SixPlay,
 skynewsarabia:article,
 skynewsarabia:video,
 SkySports,
 Slideshare,
 Slutload,
 smotri,
 smotri:broadcast,
 smotri:community,
 smotri:user,
 Snotr,
 Sohu,
 SonyLIV,
 soundcloud,
 soundcloud:playlist,
 soundcloud:search,
 soundcloud:set,
 soundcloud:user,
 soundgasm,
 soundgasm:profile,
 southpark.cc.com,
 southpark.cc.com:español,
 southpark.de,
 southpark.nl,
 southparkstudios.dk,
 SpankBang,
 Spankwire,
 Spiegel,
 Spiegel:Article,
 Spiegeltv,
 Spike,
 Sport5,
 SportBoxEmbed,
 SportDeutschland,
 Sportschau,
 sr:mediathek,
 SRGSSR,
 SRGSSRPlay,
 stanfordoc,
 Steam,
 Stitcher,
 Streamable,
 streamcloud.eu,
 StreamCZ,
 StreetVoice,
 SunPorno,
 SVT,
 SVTPlay,
 SWRMediathek,
 Syfy,
 SztvHu,
 t-online.de,
 Tagesschau,
 tagesschau:player,
 Tass,
 TBS,
 TDSLifeway,
 teachertube,
 teachertube:user:collection,
 TeachingChannel,
 Teamcoco,
 TeamFourStar,
 TechTalks,
 techtv.mit.edu,
 ted,
 Tele13,
 TeleBruxelles,
 Telecinco,
 Telegraaf,
 TeleMB,
 TeleQuebec,
 TeleTask,
 Telewebion,
 TestURL,
 TF1,
 TFO,
 TheIntercept,
 theoperaplatform,
 ThePlatform,
 ThePlatformFeed,
 TheScene,
 TheSixtyOne,
 TheStar,
 TheWeatherChannel,
 ThisAmericanLife,
 ThisAV,
 ThisOldHouse,
 tinypic,
 tlc.de,
 TMZ,
 TMZArticle,
 TNAFlix,
 TNAFlixNetworkEmbed,
 toggle,
 Tosh,
 tou.tv,
 Toypics,
 ToypicsUser,
 TrailerAddict (CURRENTLY BROKEN),
 Trilulilu,
 TruTV,
 Tube8,
 TubiTv,
 tudou,
 tudou:album,
 tudou:playlist,
 Tumblr,
 tunein:clip,
 tunein:program,
 tunein:shortener,
 tunein:station,
 tunein:topic,
 Turbo,
 Tutv,
 tv.dfb.de,
 TV2,
 TV2Article,
 TV3,
 TV4,
 TVA,
 TVANouvelles,
 TVANouvellesArticle,
 TVC,
 TVCArticle,
 tvigle,
 tvland.com,
 TVNoe,
 tvp,
 tvp:embed,
 tvp:series,
 Tweakers,
 twitch:chapter,
 twitch:clips,
 twitch:profile,
 twitch:stream,
 twitch:video,
 twitch:videos:all,
 twitch:videos:highlights,
 twitch:videos:past-broadcasts,
 twitch:videos:uploads,
 twitch:vod,
 twitter,
 twitter:amplify,
 twitter:card,
 udemy,
 udemy:course,
 UDNEmbed,
 UKTVPlay,
 UnicodeBOM,
 Unistra,
 uol.com.br,
 uplynk,
 uplynk:preplay,
 Urort,
 URPlay,
 USANetwork,
 USAToday,
 ustream,
 ustream:channel,
 ustudio,
 ustudio:embed,
 Varzesh3,
 Vbox7,
 VeeHD,
 Veoh,
 Vessel,
 Vesti,
 Vevo,
 VevoPlaylist,
 VGTV,
 vh1.com,
 Viafree,
 Vice,
 Viceland,
 ViceShow,
 Vidbit,
 Viddler,
 Videa,
 video.google:search,
 video.mit.edu,
 VideoDetective,
 videofy.me,

## youtube-dl 2019.07.02

=== debian/changelog ===
youtube-dl (2019.07.02-1) unstable; urgency=medium

  * New upstream version 2019.07.02.
    Highlight:
     + Fixes download of encrypted videos (e.g., almost everything with music)
       from YouTube.

 -- Rogério Brito <rbrito@ime.usp.br>  Wed, 03 Jul 2019 19:36:43 -0300

youtube-dl (2019.06.08-1) unstable; urgency=medium

  * ACK NMU. Thanks Antoine and Salvatore for the upload!
  * New upstream version 2019.06.08. Closes: #930462.
  * debian/README.source: Update steps used to create new release.
  * debian/patches:
    + Remove patch cherry-picked from upstream for the NMU.
    + Refresh patches to apply cleanly.

 -- Rogério Brito <rbrito@ime.usp.br>  Thu, 13 Jun 2019 21:24:55 -0300
